Subject: Re: bug#59328: 29.0.50; `seq-keep' implementation only valid for lists

From: Michael Heerdegen <[email-masked]>
Date: Thu, 24 Nov 2022 15:26:01 +0100

Eli Zaretskii <[email-masked]> writes:

> I don't understand: why cannot we add a test to Emacs, even though
> other tests are elsewhere?

Every kind of sequence (in the sense of seq.el) that exists in Emacs is
not affected by the bug.  A test makes only sense for types that are,
but those are defined in libraries that are not in Gnu Emacs, only in
Gnu Elpa.  But I can't make the test depend on them.

Michael.